/// <reference types="react" />
import { EditServiceRef } from "../service/editService";
declare const useInfoHolder: (state: any, dispatch: any) => {
    detailRef: import("react").MutableRefObject<EditServiceRef | undefined>;
    handleEdit: (cacheItem: any, type?: string) => void;
    dispatchService: (type: string, payload: any) => void;
    handleAction: (dataSource: any) => void;
    showAddTimeModal: boolean;
    editNormalServiceRef: import("react").MutableRefObject<any>;
};
export default useInfoHolder;
